Std ViewFitAll/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Polecenie '''Przybliż i dopasuj wszystko''' powiększa i przesuwa ujęcie widoku tak, że wszystkie widoczne obiekty mieszczą się w aktywnym oknie widoku 3D.")
(Created page with "==Użycie==")
Line 23: Line 23:
Polecenie '''Przybliż i dopasuj wszystko''' powiększa i przesuwa ujęcie widoku tak, że wszystkie widoczne obiekty mieszczą się w aktywnym oknie [[3D_view/pl|widoku 3D]].
Polecenie '''Przybliż i dopasuj wszystko''' powiększa i przesuwa ujęcie widoku tak, że wszystkie widoczne obiekty mieszczą się w aktywnym oknie [[3D_view/pl|widoku 3D]].


==Usage==
==Użycie==


# There are several ways to invoke the command:
# There are several ways to invoke the command:

Revision as of 09:37, 22 May 2022

Std: Dopasuj wszystko

Lokalizacja w menu
Widok → Widoki standardowe → Dopasuj wszystko
Środowisko pracy
wszystkie
Domyślny skrót
VF
Wprowadzono w wersji
-
Zobacz także
Widok dopasowany do wyboru

Opis

Polecenie Przybliż i dopasuj wszystko powiększa i przesuwa ujęcie widoku tak, że wszystkie widoczne obiekty mieszczą się w aktywnym oknie widoku 3D.

Użycie

  1. There are several ways to invoke the command:
    • Press the Std ViewFitAll button.
    • Select the View → Standard views → Fit all option from the menu.
    • Select the Fit all option from the 3D view context menu.
    • Use the keyboard shortcut: V then F.

Notes

  • It is also possible to zoom to 'fit all' via the Mini-cube menu of the Navigation Cube.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to 'fit all' use the fitAll method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.fitAll()

Alternatively the SendMsgToActiveView method of the FreeCADGui object can be used. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.SendMsgToActiveView('ViewFit')